package ap

type MinimalActor struct {
	Id       string
	Username string
	Inbox    string
}

type MastoActor struct {
	Id                string
	Devices           MastoDevices
	Discoverable      MastoDiscoverable
	Featured          MastoFeatured
	FeaturedTags      MastoFeaturedTags
	Indexable         MastoIndexable
	Memorial          MastoMemorial
	Inbox             W3Inbox
	PublicKey         W3SecurityPublicKey
	AlsoKnownAs       ActivityStreamsAlsoKnownAs
	Attachments       []ActivityStreamsAttachment
	Endpoints         []map[string]IdType
	Followers         ActivityStreamsFollowers
	Following         ActivityStreamsFollowing
	Icon              ActivityStreamsIcon
	Image             ActivityStreamsImage
	RestrictedFollow  ActivityStreamsRestrictedFollow
	Name              ActivityStreamsName
	Outbox            ActivityStreamsOutbox
	PrefferedUsername ActivityStreamsPrefferedUsername
	Published         ActivityStreamsPublished
	Summary           ActivityStreamsSummary
	Tags              []ActivityStreamsTag
	Url               ActivityStreamsUrl
}
